{ pkgs, ... }@all: with all; {
  imports = [
    ./home-modules/auto-mount.nix
    ./home-modules/bar.nix
    ./home-modules/bash.nix
    ./home-modules/bitwarden.nix
    ./home-modules/calendar.nix
    ./home-modules/chatterino.nix
    ./home-modules/clipboard.nix
    ./home-modules/color-pallete.nix
    ./home-modules/direnv.nix
    ./home-modules/discord.nix
    ./home-modules/email.nix
    ./home-modules/figlet.nix
    ./home-modules/firefox.nix
    ./home-modules/fish.nix
    ./home-modules/games.nix
    ./home-modules/gestures.nix
    ./home-modules/ghostty.nix
    ./home-modules/gimp.nix
    ./home-modules/git.nix
    ./home-modules/gpg.nix
    ./home-modules/gtk.nix
    ./home-modules/helix.nix
    ./home-modules/hyprland-autoname-workspaces.nix
    ./home-modules/hyprland.nix
    ./home-modules/kitty.nix
    ./home-modules/latex.nix
    ./home-modules/mako.nix
    # ./home-modules/matrix.nix
    ./home-modules/mpv.nix
    ./home-modules/nh.nix
    ./home-modules/nixd.nix
    ./home-modules/nvidia.nix
    ./home-modules/nxgs.nix
    ./home-modules/obs.nix
    ./home-modules/office.nix
    ./home-modules/ollama.nix
    ./home-modules/opencode.nix
    ./home-modules/pandoc.nix
    ./home-modules/pkgs-list/desktop.nix
    ./home-modules/pkgs-list/programs.nix
    ./home-modules/pkgs-list/shell.nix
    ./home-modules/pnx.nix
    ./home-modules/programming/c.nix
    ./home-modules/programming/gleam.nix
    ./home-modules/programming/glsl.nix
    ./home-modules/programming/go.nix
    ./home-modules/programming/java.nix
    ./home-modules/programming/js.nix
    ./home-modules/programming/python.nix
    ./home-modules/qt.nix
    ./home-modules/rclone.nix
    ./home-modules/rofi.nix
    ./home-modules/scanning.nix
    ./home-modules/sent.nix
    ./home-modules/sops.nix
    ./home-modules/ssh.nix
    ./home-modules/starship.nix
    ./home-modules/tts.nix
    ./home-modules/typst.nix
    ./home-modules/vale.nix
    ./home-modules/virt-manager.nix
    ./home-modules/vscode.nix
    ./home-modules/wallpaper-to-colors.nix
    ./home-modules/wlogout.nix
    ./home-modules/xdg.nix
    ./home-modules/yazi.nix
    ./home-modules/zathura.nix
    ./home-modules/zoxide.nix
  ] ++ (if (hyper.host == "NxACE") then [ 
    ./home-modules/nx2site.nix
    ./home-modules/nx2site-backup.nix
    ./home-modules/calendar-campuszeit-fix.nix
  ] else []);
  home.username = hyper.user;
  # home.homeDirectory = hyper.home; # for some reason you cant use hyper.home here
  home.homeDirectory = "/home/${hyper.user}";
  home.stateVersion = hyper.pkgs-version;
  programs.home-manager.enable = true;
}
